window.screenOrientation = "portrait";
loadLib("libs/laya.core.js");
loadLib("libs/laya.d3.js");
loadLib("libs/laya.particle.js");
loadLib("libs/laya.ui.js");
loadLib("libs/androidUtil.js");
loadLib("js/bundle.js");

window.curLang = "en";

window.getLangImage = function(url) {
    let res = url;
    let imageMap = ["text_chexiao", "text_youwin"]
    for (let index = 0; index < this.imageMap.length; index++) {
        let key = this.imageMap[index];
        let name = `/${key}.png`;
        if (url.indexOf(name) > 0) {
            let langEnd = window.curLang == "ru" ? "_ru" : (this.langType == "tr" ? "_tr" : "_en");
            let replaceName = `/${key}${langEnd}.png`
            res = url.replace(name, replaceName);
            break;
        }
    }
    return res;
}

window.createLabel = function(text, attr) {
    var label = new Laya.Label();
    label.text = text;
    label.name = attr && attr.name ? attr.name : "";
    label.color = attr && attr.color ? attr.color : "#ffffff";
    label.fontSize = attr && attr.fontSize ? attr.fontSize : 20;
    if (attr.bold) {
        label.bold = true;
    }
    if (attr.stroke) {
        label.stroke = attr.stroke;
    }
    return label;
}

window.showToast = function(title) {
    Laya.stage.removeChild(Laya.stage.getChildByName("showToast"));
    var bgimg = new Laya.Image("bg_toast.png");
    bgimg.name = "showToast";
    var lal = new Laya.Label(title);
    lal.centerY = 0;
    lal.width = 600;
    lal.fontSize = 28;
    lal.bold = true;
    lal.font = "YaHei";
    lal.color = "#ffffff";
    lal.align = "center";
    lal.valign = "middle";
    lal.overflow = "hidden";
    lal.centerX = 0;
    bgimg.centerX = 0;
    bgimg.centerY = -200;
    bgimg.zOrder = 99999;
    bgimg.addChild(lal);
    Laya.stage.addChild(bgimg);
    Laya.timer.once(2500, Laya.stage, function s() {
        bgimg.visible = false;
        bgimg.removeChildren();
        Laya.stage.removeChild(bgimg);
    });
}
window.lastInterstTime = 0;
window.lastVideoTime = 0;
window.showInterAdd = 0;
window.maxInterAdd = 0;
window.showVivoInterst = function() {
    console.log("===showVivoInterst")
}


window.showVivoInterstNew = function(open, close) {
    console.log("===showVivoInterst")
	close()
}



window.showRewardAds = function(cb, close, e) {
    console.log("====showRewardAds"+e)
    awardVideo(e,()=>{//激励视频
        cb();
    },
    (error)=>{

    })

}

window.getLangByKey = function(enkey) {
    let curIndex = 0;
    if (window["curLang"] == "ru") {
        curIndex = 1;
    } else if (window["curLang"] == "tr") {
        curIndex = 2;
    }
    let keys = {
        "NoCoin": ["金币不足", "Недостаточно монет", "Yeterli değil"],
        "Fail": ["Fail", "Провал", "Başarısızlık"],
        "Reward": ["Reward ", "Награда ", "ödüllendir"],
        "video_success": ["Get video rewards!", "Получайте награды за видео!", "Video ödülleri alın!"],
        "video_fail": ["Video is wrong, please try later!", "Нет видео, попробуйте позже!", "video yanlış lütfen daha sonra deneyiniz"],
        "get_sign_reward": ["Sign in successfully!", "Войдите в систему успешно!", "Başarıyla oturum açın!"],
        "get_three_more": [" Choose three more box", "Выберите еще три коробки", "Üç kutu seç"],
        "hurt": ["Hurt", "больно", "Acıtmak"],
        "speed": ["Speed", "Скорость", "Hız"],
        "range": ["Range", "Диапазон", "Aralık"],
        "max": ["MAX", "МАКС", "MAKS."],
        "unlock": ["Unlock", "открыть", "Kilidini aç"],
        "pass": ["Pass", "пройти", "geçmek"],
        "start_game": ["Play", "Играть", "Oyna"],
        "level": ["Level: ", "Уровень: ", "Seviye: "],
        "winget": ["Win the game to get", "выиграть игру, чтобы получить", "almak için oyunu kazanmak"],
        "clickthrow": ["Click and Throw Disc", "Нажмите и выбросьте диск", "Tıkla ve Diski At"],
        "leftandright": ["Slide to adjust the angle", "Ползунок отрегулируйте угол", "Kaydırma açısını ayarlayın"],
        "downcancle": ["slide down to cancel", "сдвиньте вниз отмена", "aşağı kaydır iptal et"],
        "next": ["Next", "Следующий", "Sonraki"],
        "box": ["From box", "Из коробки", "kutudan"],
        "maxsocre": ["Max:", "Макс:", "Maks:"],
        "costtime": ["Time:", "Время:", "Zaman:"],
        "maxlength": ["Max Length:", "Макс. Длина:", "Max Uzunluk:"],
        "bestscore": ["Save score to leaderboard", "Сохранить счет в таблице лидеров", "Skor tablosuna puan kaydet"],
        "kouhong": ["lipstick", "нанести помаду", "ruj uygula"],
        "gift_title": ["Gift Exchange", "Обмен подарками", "Hediye değişimi"],
        "gift_enter": ["Enter Gift Code", "Введите код подарка", "Hediye Kodunu Girin"],
        "gift_code": ["Gift Code", "подарочный код", "Hediye Kodu"],
        "code_wrong": ["code wrong or exchanged", "код неверный или обменян", "kod yanlış veya değiştirildi"],
        "cut": ["Cut: ", "Резать: ", "Kesmek: "],
        "win": ["WIN", "ПОБЕДИТЬ", "KAZANMAK"],
    }
    if (!keys[enkey]) {
        return enkey
    }
    console.log()
    return " " + keys[enkey][curIndex];
}